import React from "react";
import PropTypes from "prop-types";

export default function Statistics(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 19 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M2.45163 11.6465C1.09974 11.6465 0 12.7463 0 14.0981C0 15.45 1.09974 16.5497 2.45163 16.5497C3.80353 16.5497 4.90326 15.45 4.90326 14.0981C4.90326 12.7462 3.80349 11.6465 2.45163 11.6465ZM2.45163 15.3239C1.77561 15.3239 1.22583 14.7741 1.22583 14.0981C1.22583 13.4221 1.77561 12.8723 2.45163 12.8723C3.12765 12.8723 3.67743 13.4221 3.67743 14.0981C3.67743 14.7741 3.12765 15.3239 2.45163 15.3239Z"
        fill={props.fill}
      />
      <path
        d="M6.53903 4.69775C5.18718 4.69775 4.0874 5.79749 4.0874 7.14938C4.0874 8.50128 5.18714 9.60102 6.53903 9.60102C7.89093 9.60102 8.99066 8.50128 8.99066 7.14938C8.99066 5.79749 7.89089 4.69775 6.53903 4.69775ZM6.53903 8.37514C5.86301 8.37514 5.31324 7.82537 5.31324 7.14935C5.31324 6.47333 5.86301 5.92355 6.53903 5.92355C7.21505 5.92355 7.76483 6.47333 7.76483 7.14935C7.76483 7.82537 7.21505 8.37514 6.53903 8.37514Z"
        fill={props.fill}
      />
      <path
        d="M12.665 10.6221C11.3132 10.6221 10.2134 11.7218 10.2134 13.0737C10.2134 14.4256 11.3131 15.5253 12.665 15.5253C14.0169 15.5253 15.1166 14.4256 15.1166 13.0737C15.1166 11.7218 14.0169 10.6221 12.665 10.6221ZM12.665 14.2995C11.989 14.2995 11.4392 13.7497 11.4392 13.0737C11.4392 12.3976 11.989 11.8479 12.665 11.8479C13.341 11.8479 13.8908 12.3976 13.8908 13.0737C13.8908 13.7497 13.3411 14.2995 12.665 14.2995Z"
        fill={props.fill}
      />
      <path
        d="M16.5473 2.4502C15.1955 2.4502 14.0957 3.54993 14.0957 4.90183C14.0957 6.25372 15.1954 7.35346 16.5473 7.35346C17.8992 7.35346 18.999 6.25365 18.999 4.90179C18.999 3.54993 17.8992 2.4502 16.5473 2.4502ZM16.5473 6.12759C15.8713 6.12759 15.3215 5.57781 15.3215 4.90179C15.3215 4.22577 15.8713 3.67599 16.5473 3.67599C17.2234 3.67599 17.7731 4.22577 17.7731 4.90179C17.7731 5.57781 17.2234 6.12759 16.5473 6.12759Z"
        fill={props.fill}
      />
      <path
        d="M5.21145 8.44335L2.75977 12.1211L3.77981 12.8011L6.2315 9.12334L5.21145 8.44335Z"
        fill={props.fill}
      />
      <path
        d="M8.15536 8.10864L7.37061 9.05029L11.048 12.1149L11.8327 11.1732L8.15536 8.10864Z"
        fill={props.fill}
      />
      <path
        d="M15.2311 6.23404L12.7378 10.9526L13.8215 11.5253L16.3148 6.80667L15.2311 6.23404Z"
        fill={props.fill}
      />
    </svg>
  );
}

Statistics.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Statistics.defaultProps = {
  className: "",
  fill: "#6b7daa",
  width: 19,
  height: 19,
};
